/*  fileio.h - file I/O function definitions
 *  Copyright (C) 2000-2001  Jason Jordan (shnutils@freeshell.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __FILEIO_H__
#define __FILEIO_H__

#include <stdio.h>

/* reads n bytes from a file into a buffer */
int read_n_bytes(FILE *,unsigned char *,int);

/* writes n bytes from a buffer into a file */
int write_n_bytes(FILE *,unsigned char *,int);

/* transfers n bytes from a file into another file */
unsigned long transfer_n_bytes(FILE *,FILE *,unsigned long);

/* reads an unsigned long in little-endian format from a file descriptor */
int read_le_long(FILE * file, unsigned long *);

/* reads an unsigned short in little-endian format from a file descriptor */
int read_le_short(FILE * file, unsigned short *);

#endif
