/*  misc.h - miscellaneous function definitions
 *  Copyright (C) 2000-2001  Jason Jordan (shnutils@freeshell.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MISC_H__
#define __MISC_H__

#include <stdio.h>
#include "wave.h"

/* run an external program, and sets up two-way communication with that process */
int spawn(char *, char **, FILE **, FILE **);

/* determines whether a filename contains a '.' in its base file name */
int filename_contains_a_dot(char *);

/* prints a "type 'program_name -h' for help" message, then quits */
void type_h_for_help(void);

/* a simple menu system to alter the order in which given input files will be processed */
void alter_file_order(wave_info **,int);

/* generic version printing function - don't use this if you write your own mode modules (unless you want me to take credit for it :) */
void internal_version(void);

/* function to convert a file's length to m:ss or m:ss.ff format */
void length_to_str(wave_info *);

#endif
