/*  format_null.c - /dev/null format module
 *  Copyright (C) 2000-2001  Jason Jordan (shnutils@freeshell.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include "format.h"
#include "fileio.h"

FILE *open_input_null(char *);
FILE *open_output_null(char *);
int is_null_file(char *);

format_module format_null = {
  "null",
  "sends output to /dev/null",
  "nul (actually /dev/null)",
  0,
  0,
  "",
  is_null_file,
  0,
  open_input_null,
  1,
  open_output_null
};

FILE *open_input_null(char *filename)
{
  return NULL;
}

FILE *open_output_null(char *filename)
{
  return fopen("/dev/null", "wb");
}

int is_null_file(char *filename)
{
  return 0;
}
