/*  format_wav.c - WAVE format module
 *  Copyright (C) 2000-2001  Jason Jordan (shnutils@freeshell.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <stdio.h>
#include <string.h>
#include "format.h"
#include "fileio.h"

FILE *open_input_wav(char *);
FILE *open_output_wav(char *);
int is_wav_file(char *);

format_module format_wav = {
  "wav",
  "standard WAVE data file",
  "wav",
  0,
  0,
  "",
  is_wav_file,
  1,
  open_input_wav,
  1,
  open_output_wav
};

FILE *open_input_wav(char *filename)
{
  return fopen(filename, "rb");
}

FILE *open_output_wav(char *filename)
{
  return fopen(filename, "wb");
}

int is_wav_file(char *filename)
{
  FILE *file;
  unsigned char buf[4];

  if (NULL == (file = fopen(filename, "rb")))
    return 0;

  if (4 != fread(buf,1,4,file)) {
    fclose(file);
    return 0;
  }
  fclose(file);

  if (0 == strncmp(buf,"RIFF",4))
    return 1;

  /* it's not a WAVE */
  return 0;
}
